HORDE.ECLASS(5)

NAME
horde - standardize the installation of horde packages

DESCRIPTION
The horde eclass provides generic functions to make the writing of horde ebuilds trivial. The horde eclass also provides transparent support for live CVS ebuilds via the cvs.eclass(5) (when ${PN} contains "-cvs").

VARIABLES
HORDE_PHP_FEATURES A whitespace-delimited list of mod_php USE flags. If set, horde_pkg_setup will check to make sure that mod_php was compiled with the specified USE flags. If not, the build will fail, notifying the user that they must rebuild mod_php with the specified USE flags.

FUNCTIONS

horde_pkg_setup
    Handles the nasty details of the webapp.eclass(5) and checks HORDE_PHP_FEATURES, if set.

horde_src_unpack
    In the case of a live CVS ebuild, this function calls cvs_src_unpack from the cvs eclass. Otherwise, unpack is called.

horde_src_install
    Installs all files in ${S} into the webapp eclass' ${MY_HTDOCSDIR} directory. This will also installs documentation (the README and all files in in ${S}/docs/). Then the rest of the nasty details of the webapp.eclass(5) are taken care of.

horde_pkg_postinst
    Displays various informational and/or warning messages.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5), cvs.eclass(5), webapp.eclass(5)

FILES
/usr/portage/eclass/horde.eclass
/usr/portage/eclass/webapp.eclass
/usr/portage/eclass/cvs.eclass

AUTHORS
Aaron Walker <ka0ttic@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/horde.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $